package com.steerinfo.ems.tcm0323.service.impl;

import com.steerinfo.ems.tcm0323.mapper.TCm0323Mapper;
import com.steerinfo.ems.tcm0323.model.TCm0323;
import com.steerinfo.ems.tcm0323.service.ITCm0323Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * TCm0323服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-28 09:32
 * 类描述
 * 修订历史：
 * 日期：2019-10-28
 * 作者：generator
 * 参考：
 * 描述：TCm0323服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCm0323Service")
public class TCm0323ServiceImpl extends BaseServiceImpl<TCm0323, String> implements ITCm0323Service {

    @Autowired
    private TCm0323Mapper tCm0323Mapper;

    @Override
    protected IBaseMapper<TCm0323, String> getMapper() {
        return tCm0323Mapper;
    }

    public List<TCm0323> getNameAndId(){
        return tCm0323Mapper.getNameAndId();
    }

    public List<TCm0323> getUnsitemNameAndId(){
        return tCm0323Mapper.getUnsitemNameAndId();
    }

    public TCm0323 getcheckstate(Map<String, Object> parameters){
        return tCm0323Mapper.getcheckstate(parameters);
    }
}
